Subject: Re: [PATCH v2] ftrace: change the export format of trace_kfree_skb()

From: Xiao Guangrong <[email-masked]>
Date: Fri, 19 Jun 2009 10:05:39 +0800

Steven Rostedt wrote:

>> Changelog v1->v2:
>> Convert protocol from raw numeric to its name as Frederic's suggestion
>>
>> Signed-off-by: Xiao Guangrong <[email-masked]>
>> Acked-by: Frederic Weisbecker <[email-masked]>
> 
> I get this:
> 
>   CC      net/core/net-traces.o
> In file included from include/trace/ftrace.h:262,
>                  from include/trace/define_trace.h:57,
>                  from include/trace/events/skb.h:107,
>                  from net/core/net-traces.c:28:
> include/trace/events/skb.h: In function 'ftrace_raw_output_kfree_skb':
> include/trace/events/skb.h:78: error: 'ETH_P_IEEE802154' undeclared (first 
> use in this function)
> include/trace/events/skb.h:78: error: (Each undeclared identifier is 
> reported only once
> include/trace/events/skb.h:78: error: for each function it appears in.)
> 

I use Ingo's tip tree and this build error not occur in my test, I also find
ETH_P_IEEE802154 is added by Sergey Lapin's patch, it's merged recently, can
be found here:
	http://marc.info/?l=git-commits-head&m=124515655608598&w=2

Could you check ETH_P_IEEE802154 is defined in include/linux/if_ether.h and
your code is the latest?

Thanks,
Xiao Guangrong

> -- Steve